<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iCelPropertyClassTemplate Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a268416c398135fd21b319aa2d7026b81">GetName</a>() const =0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a6fbc67be394ba9f9f97587abd25e8b34">GetTag</a>() const =0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a3cb921a9955f02448c7ceb79e394aa9c">PerformAction</a>(csStringID actionID, iCelParameterBlock *params)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a38e9716d2b02a6bef28e2988d8356821">SetName</a>(const char *name)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">SetProperty</a>(csStringID propertyID, long value)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#af374a82356808d949ef5a6942838137d">SetProperty</a>(csStringID propertyID, float value)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a150d0eb7979b3f0f1f1bf97d7c4a8b6d">SetProperty</a>(csStringID propertyID, bool value)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a69ae9f7981a798daef68cd687acb8b02">SetProperty</a>(csStringID propertyID, const char *value)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a52d041b9664f26c115366cd6c8357b1f">SetProperty</a>(csStringID propertyID, const csVector2 &amp;value)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a861a745e823951525c3af1a7fc6fac94">SetProperty</a>(csStringID propertyID, const csVector3 &amp;value)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a9c2caadb6f2bab2d52110554fbca1e1f">SetProperty</a>(csStringID propertyID, const csColor &amp;value)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a1e0d30f4218c97fbeb5b68fbaeea29d7">SetProperty</a>(csStringID propertyID, iCelPropertyClass *value)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#ac64bc4be234f327eea5c884fa65b9dda">SetProperty</a>(csStringID propertyID, iCelEntity *entity)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a1fc047ea3b4ffd5b7648ceecc844106c">SetPropertyVariable</a>(csStringID propertyID, celDataType type, const char *varname)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClassTemplate.html#a4945212278c4b8b9636467eb16f627a9">SetTag</a>(const char *tagname)=0</td><td><a class="el" href="structiCelPropertyClassTemplate.html">iCelPropertyClassTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
